<?php
/**
 * Hyvä Themes - https://hyva.io
 * Copyright © Hyvä Themes 2020-present. All rights reserved.
 * This product is licensed per Magento install
 * See https://hyva.io/license
 */

declare(strict_types=1);

use Hyva\Theme\Model\ViewModelRegistry;
use Magento\Framework\Escaper;
use Magento\Framework\View\Element\Template;

/** @var Escaper $escaper */
/** @var Template $block */
/** @var ViewModelRegistry $viewModels */

$mtHelper = $this->helper("Meetanshi\OrderTracking\Helper\Data");
$isEnable = $mtHelper->isEnabledExtension();
$isDisplayTopMenu = $mtHelper->displayTopLink();
if($isEnable && $isDisplayTopMenu){
?>

<div class="container bg-blue-900 text-white text-sm leading-5 font-semibold text-center p-2 text-right">
    <a href="<?= $block->getBaseUrl(); ?>ordertracking" class="text-black text-right hover:underline">
        <?= $escaper->escapeHtml(__('Track Your Order')) ?>
    </a>
</div>
<?php } ?>